[arch-commits] Commit in python-moto/repos/community-any (PKGBUILD PKGBUILD)

Chih-Hsuan Yen yan12125 at archlinux.org
Fri Jul 12 09:39:20 UTC 2019


    Date: Friday, July 12, 2019 @ 09:39:20
  Author: yan12125
Revision: 488986

archrelease: copy trunk to community-any

Added:
  python-moto/repos/community-any/PKGBUILD
    (from rev 488985, python-moto/trunk/PKGBUILD)
Deleted:
  python-moto/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   97 ++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 52 insertions(+), 45 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-07-12 09:39:15 UTC (rev 488985)
+++ PKGBUILD	2019-07-12 09:39:20 UTC (rev 488986)
@@ -1,45 +0,0 @@
-# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
-# Contributor: Guillaume Horel <guillaume.horel at gmail.com>
-
-pkgname=python-moto
-_pkgname=moto
-pkgver=1.3.8
-pkgrel=1
-pkgdesc='Moto is a library to mock out the boto library.'
-arch=(any)
-url='https://github.com/spulec/moto'
-license=(Apache)
-depends=(python-aws-xray-sdk python-boto python-boto3
-         python-cryptography python-dateutil python-docker python-jinja
-         python-jsondiff python-jose python-mock python-pyaml
-         python-pytz python-requests python-responses python-xmltodict
-         python-werkzeug python-cfn-lint)
-checkdepends=(python-flask python-freezegun python-nose python-sure tk)
-makedepends=(python-setuptools)
-source=("$pkgname-$pkgver.tar.gz"::"https://github.com/spulec/moto/archive/$pkgver.tar.gz")
-sha256sums=('4463fd4af94501285b3e45b6ba341a9fea17847c3656dc63d2591da4b4ec12b8')
-
-prepare() {
-  cd $_pkgname-$pkgver
-
-  # Remove upper bounds of dependencies
-  sed --in-place=.orig -r 's#<[0-9.]+,?##;s#==([0-9.]+)#>=\1#' setup.py
-}
-
-build() {
-  cd $_pkgname-$pkgver
-
-  python setup.py build
-}
-
-check() {
-  cd $_pkgname-$pkgver
-
-  TZ=UTC nosetests -sv ./tests/ --exclude='test_iot.*' --exclude='test_lambda.*'
-}
-
-package() {
-  cd $_pkgname-$pkgver
-
-  python setup.py install --root="$pkgdir" --optimize=1 --skip-build
-}

Copied: python-moto/repos/community-any/PKGBUILD (from rev 488985, python-moto/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-07-12 09:39:20 UTC (rev 488986)
@@ -0,0 +1,52 @@
+# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
+# Contributor: Guillaume Horel <guillaume.horel at gmail.com>
+
+pkgname=python-moto
+_pkgname=moto
+pkgver=1.3.10
+pkgrel=1
+pkgdesc='Moto is a library to mock out the boto library.'
+arch=(any)
+url='https://github.com/spulec/moto'
+license=(Apache)
+depends=(python-aws-xray-sdk python-boto python-boto3
+         python-cryptography python-dateutil python-docker python-jinja
+         python-jsondiff python-jose python-mock python-pyaml
+         python-pytz python-requests python-responses python-xmltodict
+         python-werkzeug python-cfn-lint python-setuptools python-sshpubkeys)
+checkdepends=(python-flask python-freezegun python-nose python-sure tk)
+optdepends=(
+  'python-flask: for moto_server'
+)
+source=("https://github.com/spulec/moto/archive/$pkgver/$pkgname-$pkgver.tar.gz"
+        moto-fix-setup.patch::https://github.com/yan12125/moto/commit/92bf8eff12b49def8e9689c57d26184c548546d0.patch)
+sha256sums=('3ecb76df66c47a59dd9cc7218f08265c04f2b963561b9d50a246221a63999d23'
+            '913485b0605c1b9cbb445b1862eb91ee6130430d5b735836f8e1b093565924d8')
+
+prepare() {
+  cd $_pkgname-$pkgver
+
+  patch -Np1 -i ../moto-fix-setup.patch
+
+  # Remove upper bounds of dependencies
+  sed --in-place=.orig -r 's#,?<[0-9.]+,?##;s#==([0-9.]+)#>=\1#' setup.py
+  diff -u setup.py{.orig,} || true
+}
+
+build() {
+  cd $_pkgname-$pkgver
+
+  python setup.py build
+}
+
+check() {
+  cd $_pkgname-$pkgver
+
+  TZ=UTC nosetests -sv ./tests/ --exclude='test_iot.*' --exclude='test_lambda.*'
+}
+
+package() {
+  cd $_pkgname-$pkgver
+
+  python setup.py install --root="$pkgdir" --optimize=1 --skip-build
+}



More information about the arch-commits mailing list